mi-malloc: Posix

| mi-malloc 1.8/2.1 |

Loading...
Searching...
No Matches
Functions
Posix

`mi_` prefixed implementations of various Posix, Unix, and C++ allocation functions. Defined for convenience as all redirect to the regular mimalloc API. More...

## Functions
void | mi_cfree (void *p)
| Just as `free` but also checks if the pointer `p` belongs to our heap.
void * | mi__expand (void *p, size_t newsize)
size_t | mi_malloc_size (const void *p)
size_t | mi_malloc_good_size (size_t size)
size_t | mi_malloc_usable_size (const void *p)
int | mi_posix_memalign (void **p, size_t alignment, size_t size)
int | mi__posix_memalign (void **p, size_t alignment, size_t size)
void * | mi_memalign (size_t alignment, size_t size)
void * | mi_valloc (size_t size)
void * | mi_pvalloc (size_t size)
void * | mi_aligned_alloc (size_t alignment, size_t size)
unsigned short * | mi_wcsdup (const unsigned short *s)
unsigned char * | mi_mbsdup (const unsigned char *s)
int | mi_dupenv_s (char **buf, size_t *size, const char *name)
int | mi_wdupenv_s (unsigned short **buf, size_t *size, const unsigned short *name)
void * | mi_reallocarray (void *p, size_t count, size_t size)
| Correspond s to reallocarray in FreeBSD.
int | mi_reallocarr (void *p, size_t count, size_t size)
| Corresponds to reallocarr in NetBSD.
void * | mi_aligned_recalloc (void *p, size_t newcount, size_t size, size_t alignment)
void * | mi_aligned_offset_recalloc (void *p, size_t newcount, size_t size, size_t alignment, size_t offset)
void | mi_free_size (void *p, size_t size)
void | mi_free_size_aligned (void *p, size_t size, size_t alignment)
void | mi_free_aligned (void *p, size_t alignment)

## Detailed Description

`mi_` prefixed implementations of various Posix, Unix, and C++ allocation functions. Defined for convenience as all redirect to the regular mimalloc API.

## Function Documentation

## ◆ mi__expand()

void * mi__expand | ( | void * | p,
|  | size_t | newsize )

## ◆ mi__posix_memalign()

int mi__posix_memalign | ( | void ** | p,
|  | size_t | alignment,
|  | size_t | size )

## ◆ mi_aligned_alloc()

void * mi_aligned_alloc | ( | size_t | alignment,
|  | size_t | size )

## ◆ mi_aligned_offset_recalloc()

void * mi_aligned_offset_recalloc | ( | void * | p,
|  | size_t | newcount,
|  | size_t | size,
|  | size_t | alignment,
|  | size_t | offset )

## ◆ mi_aligned_recalloc()

void * mi_aligned_recalloc | ( | void * | p,
|  | size_t | newcount,
|  | size_t | size,
|  | size_t | alignment )

## ◆ mi_cfree()

void mi_cfree | ( | void * | p | ) |

Just as `free` but also checks if the pointer `p` belongs to our heap.

## ◆ mi_dupenv_s()

int mi_dupenv_s | ( | char ** | buf,
|  | size_t * | size,
|  | const char * | name )

## ◆ mi_free_aligned()

void mi_free_aligned | ( | void * | p,
|  | size_t | alignment )

## ◆ mi_free_size()

void mi_free_size | ( | void * | p,
|  | size_t | size )

## ◆ mi_free_size_aligned()

void mi_free_size_aligned | ( | void * | p,
|  | size_t | size,
|  | size_t | alignment )

## ◆ mi_malloc_good_size()

size_t mi_malloc_good_size | ( | size_t | size | ) |

## ◆ mi_malloc_size()

size_t mi_malloc_size | ( | const void * | p | ) |

## ◆ mi_malloc_usable_size()

size_t mi_malloc_usable_size | ( | const void * | p | ) |

## ◆ mi_mbsdup()

unsigned char * mi_mbsdup | ( | const unsigned char * | s | ) |

## ◆ mi_memalign()

void * mi_memalign | ( | size_t | alignment,
|  | size_t | size )

## ◆ mi_posix_memalign()

int mi_posix_memalign | ( | void ** | p,
|  | size_t | alignment,
|  | size_t | size )

## ◆ mi_pvalloc()

void * mi_pvalloc | ( | size_t | size | ) |

## ◆ mi_reallocarr()

int mi_reallocarr | ( | void * | p,
|  | size_t | count,
|  | size_t | size )

Corresponds to reallocarr in NetBSD.

## ◆ mi_reallocarray()

void * mi_reallocarray | ( | void * | p,
|  | size_t | count,
|  | size_t | size )

Correspond s to reallocarray in FreeBSD.

## ◆ mi_valloc()

void * mi_valloc | ( | size_t | size | ) |

## ◆ mi_wcsdup()

unsigned short * mi_wcsdup | ( | const unsigned short * | s | ) |

## ◆ mi_wdupenv_s()

int mi_wdupenv_s | ( | unsigned short ** | buf,
|  | size_t * | size,
|  | const unsigned short * | name )